//
//  ArticlesListController.m
//  iOSSDKDemo
//
//  Created by Kiwi on 2018/3/15.
//  Copyright © 2018年 infocare. All rights reserved.
//

#import <EweiSDK/EweiSDK.h>
#import "ArticlesListController.h"
#import "RecommendArticlesController.h"

@interface ArticlesListController ()

@end

@implementation ArticlesListController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.navigationItem.title = self.articleTopic.name;
    
    // setup table view
    self.clearsSelectionOnViewWillAppear = YES;
    self.tableView.rowHeight = 55;
}

- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
    if (!self.contentArray) {
        __weak typeof(self) weakSelf = self;
        
        // load new data
        [EHHttpRequest requestArticlesWithTopic:self.articleTopic page:0 count:20 completion:^(NSArray<EHArticle *> *result, NSError *error) {
            
            if (!error) {
                weakSelf.contentArray = result;
                [weakSelf.tableView reloadData];
            }
            
        }];
        
    }
}


#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.contentArray.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString * identifier = @"cell";
    UITableViewCell * cell = [tableView dequeueReusableCellWithIdentifier:identifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:identifier];
    }
    
    EHArticle * item = [self.contentArray objectAtIndex:indexPath.row];
    
    // show article content on cell
    cell.textLabel.text = item.title;
    cell.detailTextLabel.text = item.summary;
    
    return cell;
}


#pragma mark - UITableViewDelegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    EHArticle * item = [self.contentArray objectAtIndex:indexPath.row];
    
    EHArticleViewController * articleController = [[EHArticleViewController alloc] init];
    articleController.article = item;
    
    [self.navigationController pushViewController:articleController animated:YES];
}

@end
